Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

IDermisBridge in aem service or servlet makes them unsatisfied

Avatar

Level 1

Hi All,

 

I am using IDermisBridge in my service to use form data model operations in java code but after adding below code in service that service state becomes unsatisfied. I have tried several version of POM dependency to resolve this but it does not work. I am using aem 6.5.8 .

@Reference
IDermisBridge iDermisBridge;

 Please let me know, in case you have any idea how to resolve this or for Form Data Model operation in java to use it in some other way.

1 Accepted Solution

Avatar

Correct answer by
Level 7

If the issue is due to the version difference then that would lead bundle to be in Installed state instead of Active. You should try to resolve that first if that is the case.

After that please check what all references are unsatisfied of your service. If its due to IDermisBridge only then check this class package in /system/console/depfinder. If there is any bundle that is exporting this service then you should be able to see result. Check the bundle of Exported By column and use the same version in pom.xml.

If there is not result after searching for IDermisBridge Package then you need to install required Packages.

View solution in original post

3 Replies

Avatar

Correct answer by
Level 7

If the issue is due to the version difference then that would lead bundle to be in Installed state instead of Active. You should try to resolve that first if that is the case.

After that please check what all references are unsatisfied of your service. If its due to IDermisBridge only then check this class package in /system/console/depfinder. If there is any bundle that is exporting this service then you should be able to see result. Check the bundle of Exported By column and use the same version in pom.xml.

If there is not result after searching for IDermisBridge Package then you need to install required Packages.

Avatar

Level 6

@cof65232  From the description i see that issue is not with the version. I feel that it is because of the IDreamBridge dependencies not getting resolved. Can you try check the class package from /system/console/depfinder. Below is the API reference that you can see

 

https://developer.adobe.com/experience-manager/reference-materials/6-5/forms/javadocs/com/adobe/aem/...

 

Avatar

Level 1

I tried using this also "/system/console/depfinder" but could not find any issue. But now issue is resolved, it was due to pom.xml issue where this IDermisBridge was not getting included correctly.